#!/usr/bin/env python

"""
setup.py file for EPANET (epanettools) pyton library  - Assela Pathirana
"""

from distutils.core import setup, Extension


epanettools_module = Extension('_epanettools',
                           sources=['epanet2_wrap.c',  'epanet.c',  'hash.c',  'hydraul.c',  'inpfile.c',  'input1.c',  'input2.c',  'input3.c',  'mempool.c',  'output.c',  'quality.c',  'report.c',  'rules.c',  'smatrix.c']
                           )

setup (name = 'epanettools',
       version = '0.1',
       author      = "Assela Pathirana",
       description = """EPANET toolkit calls from python""",
       ext_modules = [epanettools_module],
       py_modules = ["epanettools"],
       )
